Skip to main content

Retry a write operation

POSThttps://api.propexo.com/v1/admin/retry-write/:root_job_id

Retry a write operation that failed. Only failed write operations can be retried.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

root_job_id stringrequired

The job ID of the write job retry

Request​

This endpoint expects an object.

    object

Response​

Successful response

    successbooleanrequired

    Whether the write operation has been queued to be retried.

    job_idstringrequired

    The new job ID of the write operation that was queued.

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/admin/retry-write/:root_job_id
curl -X POST https://api.propexo.com/v1/admin/retry-write/:root_job_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}'
200 Successful response
{
"success": true,
"job_id": "string"
}